Stablecoin payroll & payroll admin
Verify ADP Deductions
Name and signature indicate it changes verify adp deductions
POSThttps://api.toku.com/stablecoin-payroll/verify-adp-deductions
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/verify-adp-deductions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollID": "string",
"deductions": [
{
"externalEmployeeID": "string",
"dedCdTok": 0
}
]
}'200 response
{
"success": true,
"totalMatched": 0,
"totalMismatched": 0,
"results": [
{
"externalEmployeeID": "string",
"contributorName": "string",
"expectedAmount": 0,
"actualAmount": 0,
"delta": 0,
"matched": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIDstringrequireddeductionsobject[]requiredShow child attributes
externalEmployeeIDstringrequireddedCdToknumberrequiredResponse
200Successful response
successbooleanrequiredtotalMatchedintegerrequiredtotalMismatchedintegerrequiredresultsobject[]requiredShow child attributes
externalEmployeeIDstringrequiredcontributorNamestringrequiredexpectedAmountnumberrequiredactualAmountnumberrequireddeltanumberrequiredmatchedbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits